=== modified file 'olive/__init__.py'
--- olive/__init__.py	2006-11-04 19:21:29 +0000
+++ olive/__init__.py	2006-11-04 23:16:23 +0000
@@ -673,7 +673,7 @@
 
         # Re-read preferences
         self.pref.read()
-
+        
         # Get bookmarks
         bookmarks = self.pref.get_bookmarks()
 
@@ -859,6 +859,8 @@
 
     def read(self):
         """ Just read the configuration. """
+        # Re-initialize the config parser object to avoid some bugs
+        self.config = ConfigParser.RawConfigParser()
         if sys.platform == 'win32':
             # Windows - no dotted files
             self.config.read([os.path.expanduser('~/olive.conf')])

=== modified file 'olive/menu.py'
--- olive/menu.py	2006-10-25 16:29:18 +0000
+++ olive/menu.py	2006-11-04 23:16:23 +0000
@@ -234,8 +234,8 @@
         """ Left context menu -> Remove """
         
         if self.selected != None:
-            self.pref.remove_bookmark(self.comm.get_selected_left())
-            self.comm.refresh_left()
+            self.pref.remove_bookmark(self.selected)
+            self.pref.write()
     
     def open_folder(self, action):
         """ Left context menu -> Open Folder """

